// pages/courseReservation/index.js
const app = getApp()
const user = require('../../api/user.js')
const store = require('../../api/store.js')

Page({

    /**
     * 页面的初始数据
     */
    data: {
        isAuth: false, //是否认证
        authorize: false,
        canIUseGetUserProfile: false,//判断小程序的api是否能够在当前版本使用
        form: {
            name: '',
            phone: '',
        },
        products: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        if (wx.getUserProfile) {
            this.setData({
              canIUseGetUserProfile: true //获取用户信息
            })
          }
          this.getProducts()
    },
    //获取产品列表
    getProducts(){
        store.getCategory().then((res)=>{
          this.setData({
            products: res.data.data[0].children[0].products
          })
          app.globalData.products = res.data.data[0].children[0].products
        })
    },
    getUserInfoProfile(){
        app.login().then((res)=>{
            if(res.data.success){
                this.setData({
                    isAuth: true
                })
            }
        })
    },
    inpName(e){
        this.setData({
            'form.name': e.detail.value
        })
    },
    inpPhone(e){
        this.setData({
            'form.phone': e.detail.value
        })
    },
    submitInfo(){
        if(this.data.form.name == '' ){
          return this.alertMessage('请输入您的姓名')
        } else if(this.data.form.phone == ''){
          return this.alertMessage('请输入您的电话')
        }
        user.saleLeads(this.data.form).then((res)=>{
            wx.showModal({
                title: '温馨提示',
                content: '恭喜您预约成功，稍后会有专属服务老师与您联系。',
                showCancel: false
            })
        })
    },
    alertMessage(msg){
        wx.showToast({
           title: msg,
           icon: 'none'
        })
    },
    toDetial(e){
        let id = e.currentTarget.dataset.id
        wx.navigateTo({
          url: '/pages/goodsDetail/index?id='+ id,
        })
    },
    toCompany(){
        wx.navigateTo({
          url: '/pages/companyInfo/index',
        })
    },
      
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        if(wx.getStorageSync('token')){
            this.setData({
              isAuth: true
            })
        }
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})